#!/bin/sh
(
echo "usbfoo.sh v0.5"
case $1 in 
nand_start)
echo "mount"
mount
echo "##### START #####"
umount /mnt/nand
sync
insmod lf1000_udc.ko
insmod g_file_storage.ko file=/mnt/ubifs/vfat.img removable=1 stall=0
echo "##### READY #####"
;;

nand_stop)
echo "mount"
mount
echo "##### STOP #####"
sync
rmmod g_file_storage.ko
rmmod lf1000_udc.ko
losetup /dev/loop7 /mnt/ubifs/vfat.img
mount -t vfat -o iocharset=utf8 /dev/loop7 /mnt/nand
sync
echo "##### READY #####"
echo "mount"
mount
;;

sd_start)
echo "mount"
mount
echo "##### START #####"
umount /mnt/sd
sync
insmod lf1000_udc.ko
insmod g_file_storage.ko file=/dev/mmcblk0p1 removable=1 stall=0
echo "##### READY #####"
;;

sd_stop)
echo "mount"
mount
echo "##### STOP #####"
sync
rmmod g_file_storage.ko
rmmod lf1000_udc.ko
mount -t vfat -o iocharset=utf8,sync,noatime /dev/mmcblk0p1 /mnt/sd
sync
echo "##### READY #####"
echo "mount"
mount
;;

*)
echo "Usage: $0 [start|stop]"
;;
esac
) >usbfoo_$1.log 2>&1
